"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
Object.defineProperty(exports, "__esModule", { value: true });
function removeElement(el) {
    var parent = el.parentNode;
    if (parent) {
        parent.removeChild(el);
    }
}
exports.removeElement = removeElement;
function addClass(el, className) {
    el.classList.add(className);
}
exports.addClass = addClass;
function removeClass(el, className) {
    el.classList.remove(className);
}
exports.removeClass = removeClass;
function createElement(tagName, className) {
    if (className === void 0) { className = ''; }
    var el = document.createElement(tagName);
    el.className = className;
    return el;
}
exports.createElement = createElement;
function getPosition(el, relativeTarget) {
    var xPos = 0;
    var yPos = el.getBoundingClientRect().height;
    while (el !== relativeTarget) {
        xPos += (el.offsetLeft - el.scrollLeft + el.clientLeft);
        yPos += (el.offsetTop - el.scrollTop + el.clientTop);
        if (el.offsetParent) {
            el = el.offsetParent;
        }
        else {
            break;
        }
    }
    return [xPos, yPos];
}
exports.getPosition = getPosition;
function setPosition(el, position) {
    var _a = __read(position, 2), left = _a[0], top = _a[1];
    el.style.top = top + "px";
    el.style.left = left + "px";
}
exports.setPosition = setPosition;
//# sourceMappingURL=dom.js.map